### Enumeration

# Qmi NasWcdmaHsService

since: 1.0

#### Declaration

    enum Qmi.NasWcdmaHsService

#### Description [src]

Call status on high speed.

Available since: 1.0

#### Members

`QMI_NAS_WCDMA_HS_SERVICE_HSDPA_HSUPA_UNSUPPORTED`

  HSDPA and HSUPA not supported.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_HSDPA_SUPPORTED`

  HSDPA supported.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_HSUPA_SUPPORTED`

  HSUPA supported.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_HSDPA_HSUPA_SUPPORTED`

  HSDPA and HSUPA supported.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_HSDPA_PLUS_SUPPORTED`

  HSDPA+ supported.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_HSDPA_PLUS_HSUPA_SUPPORTED`

  HSDPA+ and HSUPA supported.

  - Value: `5`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_DC_HSDPA_PLUS_SUPPORTED`

  DC-HSDPA+ supported.

  - Value: `6`
  - Available since: 1.0
`QMI_NAS_WCDMA_HS_SERVICE_DC_HSDPA_PLUS_HSUPA_SUPPORTED`

  DC-HSDPA+ and HSUPA supported.

  - Value: `7`
  - Available since: 1.0

#### Type functions

###### qmi_nas_wcdma_hs_service_get_string

Gets the nickname string for the `QmiNasWcdmaHsService` specified at `val`.

since: 1.0